Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Advanced Scripting Environment (EASE) » Dependencies required for EASE on eclipse 4.10/4.11(Installing EASE from http://download.eclipse.org/ease/update/release)
Dependencies required for EASE on eclipse 4.10/4.11 [message #1809049] Mon, 08 July 2019 06:08 Go to next message
Shaiju P is currently offline Shaiju PFriend
Messages: 1
Registered: July 2019
Junior Member
I installed eclipse committers edition ( 4.10) and then tried to install all EASE plugins from http://download.eclipse.org/ease/update/release . I am using OpenJDK11 to run eclipse on windows.

I get the following dependency error message
---------------------------------
Cannot complete the install because one or more required items could not be found.
Software being installed: EASE Git Feature (Incubation) 0.6.0.I201802191612 (org.eclipse.ease.modules.team.git.feature.feature.group 0.6.0.I201802191612)
Missing requirement: EASE Git Module 0.6.0.I201802191612 (org.eclipse.ease.modules.team.git 0.6.0.I201802191612) requires 'osgi.bundle; org.eclipse.jgit [3.4.2,5.0.0)' but it could not be found
Cannot satisfy dependency:
From: EASE Git Feature (Incubation) 0.6.0.I201802191612 (org.eclipse.ease.modules.team.git.feature.feature.group 0.6.0.I201802191612)
To: org.eclipse.equinox.p2.iu; org.eclipse.ease.modules.team.git [0.6.0.I201802191612,0.6.0.I201802191612]

---------------------------------------------------------

Did anyone face this issue?

Thanks
Shaiju.P
Re: Dependencies required for EASE on eclipse 4.10/4.11 [message #1809271 is a reply to message #1809049] Fri, 12 July 2019 15:31 Go to previous message
Christian Pontesegger is currently offline Christian PonteseggerFriend
Messages: 232
Registered: July 2009
Location: Graz, Austria
Senior Member
seems like jgit is not available in an appropriate version on your registered udpate sites.

You could
* try to add an update site which contains org.eclipse.jgit [3.4.2,5.0.0)
* not install the Git/Egit plugins
* go with the nightly update site of EASE
* wait for the next release (prob. 6-8 weeks from now)

HTH
Christian
Previous Topic:How to debug Python script launched from Java
Next Topic:Sending Arguments to Python Script
Goto Forum:
  


Current Time: Tue Aug 16 21:37:36 GMT 2022

Powered by FUDForum. Page generated in 0.02261 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top